Imports DigitalData.Modules.EDMI.API.EDMIServiceReference
Imports DigitalData.Modules.Logging

Namespace Modules
    Public Class BaseMethod
        Friend ReadOnly LogConfig As LogConfig
        Friend ReadOnly Logger As Logger
        Friend ReadOnly Channel As IEDMIServiceChannel
        Friend ReadOnly FileEx As Filesystem.File
        Friend ReadOnly Helpers As Helpers

        Public Sub New(pLogConfig As LogConfig, pChannel As IEDMIServiceChannel)
            LogConfig = pLogConfig
            Logger = pLogConfig.GetLogger()
            Channel = pChannel
            FileEx = New Filesystem.File(pLogConfig)
            Helpers = New Helpers(pLogConfig)
        End Sub
    End Class

End Namespace